<?php
namespace App\Http\Controllers;

use App\Tolak;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Input;
use File;
use App\Http\Requests;
use App\Bus;
use App\Users;
use App\Supir;
use App\Pemesanan;
use App\Batal;
use App\Konfirmasi;
use App\Jadwal;
use Validator;
use App\Http\Controllers\Controller;
use App\User;
use Image;


class KlienController extends Controller
{
    public function bus()
    {
        $bus = Bus::all();
        return view('adminlte::klien.bus.index', compact('bus'));
    }

    public function detailbus($id)
    {
        $bus = Bus::find($id);
        return view('adminlte::klien.bus.detail', compact('bus'));
    }

    public function pesan()
    {
        $pemesanan = Pemesanan::all();
        return view('adminlte::klien.pesan.index', compact('pemesanan'));
    }

    public function pesanform()
    {
        $pemesanan = Pemesanan::all();
        return view('adminlte::klien.pesan.indexform', compact('pemesanan'));
    }

    public function status()
    {
        $status = Pemesanan::all();
        return view('adminlte::klien.pesan.status', compact('status'));
    }

    public function statusdetail($id)
    {
        $status = Pemesanan::find($id);
        return view('adminlte::klien.pesan.statusdetail', compact('status'));
    }
    public function pemesanan(Request $request)
    {
        $this->validate($request, [
            'tujuan' => 'required',
            'jumlah' => 'required',
            'alasan' => 'required',
            'berangkat' => 'required',
            'kembali' => 'required',
            'plat_bus' => 'required',
            'name' => 'required',
            'status' => 'required',
        ]);
        $pemesanan = new Pemesanan();
        $pemesanan->tujuan = $request['tujuan'];
        $pemesanan->jumlah = $request['jumlah'];
        $pemesanan->alasan = $request['alasan'];
        $pemesanan->berangkat = $request['berangkat'];
        $pemesanan->kembali = $request['kembali'];
        $pemesanan->plat_bus = $request['plat_bus'];
        $pemesanan->name = $request['name'];
        $pemesanan->status = $request['status'];
        $pemesanan->save();
        return redirect('status')->with('message','Berhasil Melakukan Pemesanan, Silahkan Menunggu Konfirmasi');
    }

    public function batalkan($id)
    {
        $pemesanan = Pemesanan::find($id);
        return view('adminlte::klien.batalkan.index', compact('pemesanan'));
    }

    public function ditolak(Request $request, $id)
    {
        $this->validate($request, [
            'tujuan' => 'required',
            'jumlah' => 'required',
            'alasan' => 'required',
            'berangkat' => 'required',
            'kembali' => 'required',
            'plat_bus' => 'required',
            'name' => 'required',
            'status' => 'required',
            'alasan_batal' => 'required',
        ]);

        $batal = new Batal();
        $batal->tujuan = $request['tujuan'];
        $batal->jumlah = $request['jumlah'];
        $batal->alasan = $request['alasan'];
        $batal->berangkat = $request['berangkat'];
        $batal->kembali = $request['kembali'];
        $batal->plat_bus = $request['plat_bus'];
        $batal->name = $request['name'];
        $batal->status = $request['status'];
        $batal->alasan_batal = $request['alasan_batal'];
        $batal->save();

        $pemesanan = Pemesanan::find($id);
        $pemesanan->delete();

        return redirect('status')->with('message','Pembatalan Berhasil Dilakukan');
    }

    public function pilihbus()
    {
        $bus = Bus::all();
        return view('adminlte::klien.pesan.pilih', compact('bus'));
    }

    public function pakaibus($id)
    {
        $bus = Bus::find($id);
        return view('adminlte::klien.pesan.pakaibus', compact('bus'));
    }


    public function riwayat(){

        $name = Auth::user()->name;
        $users = DB::table('users')->where('name' , $name)->first();
        $id = $users->id;
        $this->data['title'] = 'History Pemesanan';
        $this->data['users'] = Users::find($id);

        $this->data['riwayatpesan'] = DB::table('konfirmasi')->where('name' , $name)->orderBy('id','desc')->paginate(10);
        $this->data['total'] = DB::table('konfirmasi')->where('name' , $name)->get();
        $this->data['riwayatpesan2'] = DB::table('batal')->where('name' , $name)->orderBy('id','desc')->paginate(10);
        $this->data['total'] = DB::table('batal')->where('name' , $name)->get();
        $this->data['riwayatpesan3'] = DB::table('tolak')->where('name' , $name)->orderBy('id','desc')->paginate(10);
        $this->data['total'] = DB::table('konfirmasi')->where('name' , $name)->get();
        return view('adminlte::klien.riwayat.index',$this->data);
    }

    public function riwayatpesan($id)
    {
        $riwayatpesan = Konfirmasi::find($id);
        return view('adminlte::klien.riwayat.detail', compact('riwayatpesan'));
    }
    public function riwayatpesan2($id)
    {
        $riwayatpesan2 = Batal::find($id);
        return view('adminlte::klien.riwayat.detail2', compact('riwayatpesan2'));
    }
    public function riwayatpesan3($id)
    {
        $riwayatpesan3 = Tolak::find($id);
        return view('adminlte::klien.riwayat.detail3', compact('riwayatpesan3'));
    }
}