<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Input;
use File;
use App\Http\Requests;
use App\Bus;
use App\Users;
use App\Supir;
use App\Tolak;
use App\Jam_Kerja;
use App\Pemesanan;
use App\Batal;
use App\Konfirmasi;
use App\Jadwal;
use Validator;
use App\Http\Controllers\Controller;
use App\User;
use Image;


class KsupirController extends Controller
{
    public function dashboard()
    {
        if(isset($key)){
            $this->data['pemesanan'] = Pemesanan::where('name','like','%'.$key.'%')->orderBy('id','desc')->paginate(10);
        }else{
            $this->data['pemesanan'] = Pemesanan::orderBy('id','desc')->paginate(10);
        }
        $this->data['total'] = DB::table('pemesanan')->get();
        $this->data['pemesanan'] = DB::table('pemesanan')->where('status','=','diproses')->get();

        return view('adminlte::k_supir.index',$this->data);
    }

    public function supirs()
    {
        $supir = Supir::all();
        return view('adminlte::k_supir.supir.index', compact('supir'));
    }

    public function jam_kerja()
    {
        $jamkerja = Jam_Kerja::all();
        return view('adminlte::k_supir.supir.jam_kerja', compact('jamkerja'));
    }

    public function jamkerjadetail($id)
    {
        $jamkerja = Jam_Kerja::find($id);
        return view('adminlte::k_supir.supir.jamkerjadetail', compact('jamkerja'));
    }

    public function jamkerjasupir(Request $request)
    {
        $this->validate($request, [
            'nama_supir' => 'required',
            'plat_bus' => 'required',
            'tujuan' => 'required',
            'berangkat' => 'required',
            'kembali' => 'required',
            'speed' => 'required',
            'biaya' => 'required',
        ]);
        $jam = new Jam_Kerja();
        $jam->nama_supir = $request['nama_supir'];
        $jam->plat_bus = $request['plat_bus'];
        $jam->tujuan = $request['tujuan'];
        $jam->berangkat = $request['berangkat'];
        $jam->kembali = $request['kembali'];
        $jam->speed = $request['speed'];
        $jam->biaya = $request['biaya'];
        $jam->bukti = $request['bukti'];
        $jam->save();
        return redirect('k_supir/supir/jam_kerja')->with('message','Berhasil Menambah Data Jam Kerja');
    }

    public function tambahjamkerja()
    {
        $jamkerja = Jam_Kerja::all();
        return view('adminlte::k_supir.supir.tambahjamkerja', compact('jamkerja'));
    }

    public function detailsupirs($id)
    {
        $supir = Supir::find($id);
        return view('adminlte::k_supir.supir.detail', compact('supir'));
    }

    public function buss()
    {
        $bus = Bus::all();
        return view('adminlte::k_supir.bus.index', compact('bus'));
    }
    public function detailbuss($id)
    {
        $bus = Bus::find($id);
        return view('adminlte::k_supir.bus.detail', compact('bus'));
    }

    public function pemesanans()
    {
        $key = Input::get('search');
        $this->data['title'] = 'Pemesanan Bus IT Del';

        if(isset($key)){
            $this->data['pemesanan'] = Pemesanan::where('name','like','%'.$key.'%')->orderBy('id','desc')->paginate(10);
        }else{
            $this->data['pemesanan'] = Pemesanan::orderBy('id','desc')->paginate(10);
        }
        $this->data['pemesanan'] = DB::table('pemesanan')->where('status','=','diproses')->get();
        $this->data['total'] = DB::table('pemesanan')->get();
        return view('adminlte::k_supir.pemesanan.index',$this->data);
    }

    public function detailpemesanans($id)
    {
        $bus = Bus::all();
        $supir = Supir::all();
        $pemesanan = Pemesanan::find($id);
        return view('adminlte::k_supir.pemesanan.detail', compact('pemesanan','bus','supir'));
    }

    public function konfirmasi (Request $request, $id)
    {
        $this->validate($request, [
            'tujuan' => 'required',
            'jumlah' => 'required',
            'alasan' => 'required',
            'berangkat' => 'required',
            'kembali' => 'required',
            'plat_bus' => 'required',
            'name' => 'required',
            'status' => 'required',
            'nama_supir' => 'required',
        ]);

        $pemesanan = Pemesanan::find($id);
        $pemesanan->delete();

        $konfirmasi = new Konfirmasi();

        $konfirmasi->tujuan = $request['tujuan'];
        $konfirmasi->jumlah = $request['jumlah'];
        $konfirmasi->alasan = $request['alasan'];
        $konfirmasi->berangkat = $request['berangkat'];
        $konfirmasi->kembali = $request['kembali'];
        $konfirmasi->plat_bus = $request['plat_bus'];
        $konfirmasi->name = $request['name'];
        $konfirmasi->status = $request['status'];
        $konfirmasi->nama_supir = $request['nama_supir'];
        $konfirmasi->save();

        return redirect('k_supir/history')->with('message','Berhasil Melakukan Konfirmasi');
    }

    public function refuse($id)
    {
        $pemesanan = Pemesanan::find($id);
        return view('adminlte::k_supir.pemesanan.refuse', compact('pemesanan'));
    }

    public function refusing(Request $request, $id)
    {
        $this->validate($request, [
            'tujuan' => 'required',
            'jumlah' => 'required',
            'alasan' => 'required',
            'berangkat' => 'required',
            'kembali' => 'required',
            'plat_bus' => 'required',
            'name' => 'required',
            'status' => 'required',
            'alasan_tolak' => 'required',
            'saran' => 'required',
        ]);

        $tolak = new Tolak();
        $tolak->tujuan = $request['tujuan'];
        $tolak->jumlah = $request['jumlah'];
        $tolak->alasan = $request['alasan'];
        $tolak->berangkat = $request['berangkat'];
        $tolak->kembali = $request['kembali'];
        $tolak->plat_bus = $request['plat_bus'];
        $tolak->name = $request['name'];
        $tolak->status = $request['status'];
        $tolak->alasan_tolak = $request['alasan_tolak'];
        $tolak->saran = $request['saran'];
        $tolak->save();

        $pemesanan = Pemesanan::find($id);
        $pemesanan->delete();

        return redirect('k_supir/pemesanan')->with('message','Penolakan Berhasil Dilakukan');
    }

    public function historys()
    {
        $riwayat = Konfirmasi::all();
        $riwayatzy = Tolak::all();
        return view('adminlte::k_supir.history.index', compact('riwayat','riwayatzy'));
    }

    public function detailriwayats($id)
    {
        $riwayat = Konfirmasi::find($id);
        return view('adminlte::k_supir.history.detail', compact('riwayat'));
    }

    public function detailriwayatsz($id)
    {
        $riwayatz = Tolak::find($id);
        return view('adminlte::k_supir.history.detail2', compact('riwayatz'));
    }

    public function jadwal()
    {
        $jadwal = Jadwal::all();
        return view('adminlte::k_supir.supir.jadwal', compact('jadwal'));
    }
    public function updatejadwal()
    {
        $jadwal = Jadwal::all();
        return view('adminlte::k_supir.supir.updatejadwal', compact('jadwal'));
    }
    public function invoice_print()
    {
        $jadwal = Jadwal::all();
        return view('adminlte::k_supir.supir.invoice-print', compact('jadwal'));
    }

    public function print_jamkerja($id)
    {
        $jamkerja = Jam_Kerja::find($id);
        return view('adminlte::k_supir.supir.print_jamkerja', compact('jamkerja'));
    }
}