@extends('adminlte::layouts.app')

@section('htmlheader_title')
    Tambah
@endsection

@section('contentheader_title')
    <ol class="breadcrumb"><li><a href="/"><i class="fa fa-home"></i> Home</a></li>
        <li class="active"><i class="fa fa-bus"></i>Kendaraan</li>
        <li class="active"><i class="fa fa-bus"></i>Tambah Kendaraan</li>
    </ol><!-- breadcrumbs -->
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">


        <div class="col-md-8 col-md-offset-2">
            <div class="panel-body">
                <form class="form-horizontal" action="{{ url('store') }}" method="POST">
                    {!! csrf_field() !!}

                    <div class="form-group{{ $errors->has('nama_bus') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">Nama Kendaraan</label>
                        <div class="col-md-6">
                            <input type="text" class="form-control" name="nama_bus" value="{{ old('nama_bus') }}" >
                            @if ($errors->has('nama_bus'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('nama_bus') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('jenis_bus') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">Jenis Kendaraan</label>
                        <div class="col-md-6">
                            <input type="text" class="form-control" name="jenis_bus" value="{{ old('jenis_bus') }}" >
                            @if ($errors->has('jenis_bus'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('jenis_bus') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('plat_bus') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">Plat Kendaraan</label>
                        <div class="col-md-6">
                            <input type="text" class="form-control" name="plat_bus" value="{{ old('plat_bus') }}" >
                            @if ($errors->has('plat_bus'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('plat_bus') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('deskripsi') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">Deskripsi Kendaraan</label>
                        <div class="col-md-6">
                            <input type="text" class="form-control" name="deskripsi" value="{{ old('deskripsi') }}" >
                            @if ($errors->has('deskripsi'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('deskripsi') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('image') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">Gambar</label>
                        <div class="col-md-6">
                            <input type="file" id="exampleInputImage" name="gambar" value="{{ old('gambar') }}" >
                            @if ($errors->has('image'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('image') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>


                    <div class="form-group">
                        <div class="col-md-6 col-md-offset-4">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <button type="submit" class="btn btn-primary">
                                <i class="fa fa-plus"></i> Tambah
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>


    </div>
@endsection
