@extends('adminlte::layouts.app')

@section('htmlheader_title')
    Detail Pemesanan
@endsection

@section('contentheader_title')
    <ol class="breadcrumb"><li><a href="/"><i class="fa fa-home"></i> Home</a></li>
        <li class="active"><i class="fa fa-eye"></i> Detail Pemesanan</li>
    </ol><!-- breadcrumbs -->
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">
        <div class="container">

            <div class="col-md-8 col-md-offset-2">
                <div class="panel-body">
                    <div class="col-md-9">
                    <div class="box box-widget">
                        <div class="box-header with-border">
                            <div class="user-block">
                                <span class="username">{{ $pemesanan->name}}</span>
                            </div>
                            <!-- /.user-block -->
                        </div>
                        <div class="login-box-body">
                            <div class="user-block">
                                <span class="username">{{ $pemesanan->status}}</span>
                            </div>
                            <!-- /.user-block -->
                        </div>
                        <!-- /.box-footer -->
                        <div class="box-footer">
                            <form class="form-horizontal" action="{{ url('update', $pemesanan->id) }}" method="POST">
                                {!! csrf_field() !!}
                                <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="name" value="{{ $pemesanan->name}}" readonly>
                                    </div>
                                </div>
                                <div class="form-group{{ $errors->has('tujuan') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-5 control-label">Tujuan</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="tujuan" value="{{ $pemesanan->tujuan}}" readonly>
                                        @if ($errors->has('tujuan'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('tujuan') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group{{ $errors->has('jumlah') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-5 control-label">Jumlah</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="jumlah" value="{{ $pemesanan->jumlah}}" readonly>
                                        @if ($errors->has('jumlah'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('jumlah') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div><div class="form-group{{ $errors->has('alasan') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-5 control-label">Keperluan Keberangkatan</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="alasan" value="{{ $pemesanan->alasan}}" readonly>
                                        @if ($errors->has('alasan'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('alasan') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group{{ $errors->has('berangkat') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-5 control-label">Tanggal Berangkat</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="berangkat" value="{{ $pemesanan->berangkat}}" readonly>
                                        @if ($errors->has('berangkat'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('berangkat') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group{{ $errors->has('kembali') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-5 control-label">Tanggal Kembali</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="kembali" value="{{ $pemesanan->kembali}}" readonly>
                                        @if ($errors->has('kembali'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('kembali') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group{{ $errors->has('plat_bus') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-5 control-label">Plat Kendaraan</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="plat_bus" value="{{ $pemesanan->plat_bus}}" readonly>
                                        @if ($errors->has('plat_bus'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('plat_bus') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group{{ $errors->has('status') ? ' has-error' : '' }}">
                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="status" value="Diproses">
                                        @if ($errors->has('status'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('status') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-md-6 col-md-offset-4">
                                        @if($pemesanan->status == 'request')
                                            <button type="submit" class="btn btn-primary">
                                                Konfirmasi
                                            </button>
                                        @elseif($pemesanan->status == 'Diproses')
                                            <div class="direct-chat-msg right">
                                                <img class="direct-chat-img" src="{{ asset('image/'.$user->image)  }}" alt="message user image">
                                                <div class="direct-chat-text">
                                                    Menunggu Konfirmasi Koordinator Supir
                                                </div>
                                            </div>
                                        @endif
                                        @if($pemesanan->status == 'request')
                                        <a href="{{url('k_klien/pemesanan/tolakpesanan',$pemesanan->id)}}" class="btn btn-danger">
                                            <i class="fa fa-close"></i> Tolak</a>
                                        @endif
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
@endsection
