@extends('adminlte::layouts.app')

@section('htmlheader_title')
    {{ trans('adminlte_lang::message.home') }}
@endsection

@section('contentheader_title')
    <ol class="breadcrumb"><li><a href="/"><i class="fa fa-home"></i> Home</a></li>
        <li class="active"><i class="fa fa-user"></i>Supir</li>
        <li class="active"><i class="fa fa-user-plus"></i>Tambah Supir</li>
    </ol><!-- breadcrumbs -->
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">


        <div class="col-md-8 col-md-offset-2">
            <div class="panel-body">
                <form class="form-horizontal" action="{{ url('storesupir') }}" method="POST">
                    {!! csrf_field() !!}
                    <div class="form-group{{ $errors->has('id') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">ID Supir</label>
                        <div class="col-md-6">
                            <input type="integer" class="form-control" name="id" value="{{ old('id') }}" >
                            @if ($errors->has('id'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('id') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('nama_supir') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">Nama Supir</label>
                        <div class="col-md-6">
                            <input type="text" class="form-control" name="nama_supir" value="{{ old('nama_supir') }}" >
                            @if ($errors->has('nama_supir'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('nama_supir') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('ttl') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">TTL</label>
                        <div class="col-md-6">
                            <input type="text" class="form-control" name="ttl" value="{{ old('ttl') }}" >
                            @if ($errors->has('ttl'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('ttl') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('alamat') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">Alamat</label>
                        <div class="col-md-6">
                            <input type="text" class="form-control" name="alamat" value="{{ old('alamat') }}" >
                            @if ($errors->has('alamat'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('alamat') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('jk') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">JK</label>
                        <div class="col-md-6">
                            <select name="jk" class="form-control">
                                <option value="Laki-Laki">Laki-Laki</option>
                                <option value="Perempuan">Perempuan</option>
                            </select>

                            @if ($errors->has('jk'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('jk') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group{{ $errors->has('agama') ? ' has-error' : '' }}">
                        <label for="title" class="col-md-4 control-label">Agama</label>
                        <div class="col-md-6">
                            <select name="agama" class="form-control">
                                <option value="k.Protestan">K. Protestan</option>
                                <option value="K.Katolik">K. Katolik</option>
                                <option value="Islam">Islam</option>
                                <option value="Hindu">Hindu</option>
                                <option value="Budha">Budha</option>
                                <option value="Lain">Lain</option>
                            </select>

                            @if ($errors->has('agama'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('agama') }}</strong>
                                </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group has-feedback">
                        <label class="col-md-4 control-label">Gambar</label>
                        <div class="col-md-6">
                            <input name="image" value="{{ old('image') }}" type="file">
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-6 col-md-offset-4">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <button type="submit" class="btn btn-primary">
                                Tambah
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>


    </div>
@endsection
