@extends('adminlte::layouts.app')

@section('htmlheader_title')
    Detail Pemesanan
@endsection

@section('contentheader_title')
    <ol class="breadcrumb"><li><a href="/"><i class="fa fa-home"></i> Home</a></li>
        <li class="active"><i class="fa fa-navicon "></i> Detail Pemesanan</li>
    </ol><!-- breadcrumbs -->
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">
        <div class="container">

            @if(session()->has('message'))
                <div class="alert alert-info">
                    {{session()->get('message')}}
                </div>
            @endif
            @if(!empty($success))
                <div class="alert alert-success">
                    {{$success}}
                </div>
            @endif

                <div class="row">
                    <div class="col-md-4">
                        <!-- Widget: user widget style 1 -->
                        <div class="box box-widget widget-user-2">
                            <!-- Add the bg color to the header using any of the bg-* classes -->
                            <div class="widget-user-header bg-blue">
                                <h5>List Plat Kendaraan IT DEL</h5>
                            </div>
                            <div class="box-footer no-padding">
                                <ul class="nav nav-stacked">
                                    @foreach($bus as $bu)
                                        <li><a href="#">{{$bu->plat_bus}}
                                                <span class="pull-right badge bg-blue">
                                                    <img style="height: 20px; width: 20px;" class="img-circle" src="{{asset('image/'.$bu->gambar)}}"/>
                                                </span>
                                            </a>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                        <!-- /.widget-user -->
                        <div class="box box-widget widget-user-2">
                            <!-- Add the bg color to the header using any of the bg-* classes -->
                            <div class="widget-user-header bg-green">
                                <h5>List Nama Supir IT DEL</h5>
                            </div>
                            <div class="box-footer no-padding">
                                <ul class="nav nav-stacked">
                                    @foreach($supir as $supi)
                                        <li><a href="#">{{$supi->nama_supir}}
                                                <span class="pull-right badge bg-blue">
                                                    <img style="height: 20px; width: 20px;" class="img-circle" src="{{asset('image/'.$supi->image)}}"/>
                                                </span>
                                            </a>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>

                    </div>

                    <div class="col-md-6">
                        <div class="box box-widget">
                            <div class="box-header with-border">
                                <div class="user-block">
                                    <span class="username">{{ $pemesanan->name}}</span>
                                </div>
                                <!-- /.user-block -->
                            </div>
                            <div class="login-box-body">
                                <div class="user-block">
                                    <span class="username">{{ $pemesanan->status}}</span>
                                </div>
                                <!-- /.user-block -->
                            </div>

                            <form class="form-horizontal" action="{{ url('k_supir/konfirmasi', $pemesanan->id) }}" method="POST">
                                {!! csrf_field() !!}

                                <div class="form-group{{ $errors->has('tujuan') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-4 control-label">Tujuan</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="tujuan" value="{{ $pemesanan->tujuan}}" readonly>
                                        @if ($errors->has('tujuan'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('tujuan') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group{{ $errors->has('jumlah') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-4 control-label">Jumlah</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="jumlah" value="{{ $pemesanan->jumlah}}" readonly>
                                        @if ($errors->has('jumlah'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('jumlah') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div><div class="form-group{{ $errors->has('alasan') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-4 control-label">Keperluan Keberangkatan</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="alasan" value="{{ $pemesanan->alasan}}" readonly>
                                        @if ($errors->has('alasan'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('alasan') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group{{ $errors->has('berangkat') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-4 control-label">Tanggal Berangkat</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="berangkat" value="{{ $pemesanan->berangkat}}" readonly>
                                        @if ($errors->has('berangkat'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('berangkat') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group{{ $errors->has('kembali') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-4 control-label">Tanggal Kembali</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="kembali" value="{{ $pemesanan->kembali}}" readonly>
                                        @if ($errors->has('kembali'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('kembali') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group{{ $errors->has('plat_bus') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-4 control-label">Plat Kendaran</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="plat_bus" value="{{ $pemesanan->plat_bus}}" required>
                                        @if ($errors->has('plat_bus'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('plat_bus') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group{{ $errors->has('nama_supir') ? ' has-error' : '' }}">
                                    <label for="title" class="col-md-4 control-label">Nama Supir</label>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="nama_supir" value="{{ $pemesanan->nama_supir}}" required>
                                        @if ($errors->has('nama_supir'))
                                            <span class="help-block">
                                            <strong>{{ $errors->first('nama_supir') }}</strong>
                                        </span>
                                        @endif
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="col-md-6 col-md-offset-4">
                                        <button type="submit" class="btn btn-primary">
                                            <i class="fa fa-check-circle"></i> Konfirmasi
                                        </button>
                                        <a href="{{url('k_supir/pemesanan/refuse',$pemesanan->id)}}" class="btn btn-danger">
                                            <i class="fa fa-close"></i> Tolak</a>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>

                </div>
        </div>
    </div>
@endsection
