                                                                                        @extends('adminlte::layouts.app')

@section('htmlheader_title')
    Pesan
@endsection

@section('contentheader_title')
    <ol class="breadcrumb"><li><a href="/"><i class="fa fa-home"></i> Home</a></li>
        <li class="active"><i class="fa fa-send"></i> Pemesanan</li>
    </ol><!-- breadcrumbs -->
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">
        <div class="box box-default">
            <div class="col-md-8 col-md-offset-2">
                <div class="panel-body">
                    <form class="form-horizontal" action="{{ url('pemesanan') }}" method="POST">
                        {!! csrf_field() !!}

                        @if(session()->has('message'))
                            <div class="alert alert-info">
                                {{session()->get('message')}}
                            </div>
                        @endif
                        @if(!empty($success))
                            <div class="alert alert-success">
                                {{$success}}
                            </div>
                        @endif

                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="title" class="col-md-4 control-label">Nama Pemesan</label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="name" value="{{ Auth::user()->name }}" readonly>
                                @if ($errors->has('name'))
                                    <span class="help-block">
                                            <strong>{{ $errors->first('name') }}</strong>
                                        </span>
                                @endif
                            </div>
                        </div>

                       <div class="form-group">
                            <label for="title" class="col-md-4 control-label">Plat Kendaraan</label>
                            <div class="col-md-6">
                            <input type="text" value="{{$bus->plat_bus}}" class="form-control" name="plat_bus" readonly>
                                <span class="input-group-btn">
                                    <a href="{{url('klien/pesan/pilih')}}" class="btn btn-success btn-flat" onclick="return confirm('Ganti Kendaraan??')"
                                   class="btn btn-info btn-flat">Ganti Kendaraan</a>
                                </span>
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('tujuan') ? ' has-error' : '' }}">
                            <label for="title" class="col-md-4 control-label">Tempat Tujuan</label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="tujuan" value="{{ old('tujuan') }}" >
                                @if ($errors->has('tujuan'))
                                    <span class="help-block">
                                            <strong>{{ $errors->first('tujuan') }}</strong>
                                        </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('jumlah') ? ' has-error' : '' }}">
                            <label for="title" class="col-md-4 control-label">Jumlah</label>
                            <div class="col-md-6">
                                <input type="integer" class="form-control" name="jumlah" value="{{ old('jumlah') }}" >
                                @if ($errors->has('jumlah'))
                                    <span class="help-block">
                                            <strong>{{ $errors->first('jumlah') }}</strong>
                                        </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('alasan') ? ' has-error' : '' }}">
                            <label for="title" class="col-md-4 control-label">Keperluan Pemesanan</label>
                            <div class="col-md-6">
                                <textarea type="text" class="form-control" name="alasan" value="{{ old('alasan') }}" ></textarea>
                                @if ($errors->has('alasan'))
                                    <span class="help-block">
                                            <strong>{{ $errors->first('alasan') }}</strong>
                                        </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('berangkat') ? ' has-error' : '' }}">
                            <label for="title" class="col-md-4 control-label">Berangkat</label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="berangkat" value="{{ old('berangkat') }}" >
                                @if ($errors->has('berangkat'))
                                    <span class="help-block">
                                            <strong>{{ $errors->first('berangkat') }}</strong>
                                        </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('kembali') ? ' has-error' : '' }}">
                            <label for="title" class="col-md-4 control-label">Kembali</label>
                            <div class="col-md-6">
                                <input type="text" class="form-control" name="kembali" value="{{ old('kembali') }}" >
                                @if ($errors->has('kembali'))
                                    <span class="help-block">
                                            <strong>{{ $errors->first('kembali') }}</strong>
                                        </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('status') ? ' has-error' : '' }}">
                            <div class="col-md-6">
                                <input type="hidden" class="form-control" name="status" value="request" >
                                @if ($errors->has('status'))
                                    <span class="help-block">
                                            <strong>{{ $errors->first('status') }}</strong>
                                        </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                <button type="submit" class="btn btn-primary">
                                    Pesan
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    </div>
@endsection
