@extends('adminlte::layouts.app')

@section('htmlheader_title')
    Setting
@endsection

@section('contentheader_title')
    Page Setting
@endsection

@section('main-content')
    <!--Form Edit-->
    <div class="container">
        <hr>
        <div class="row">
            <!-- edit form column -->
            <form class="form-horizontal" role="form" method="POST" action="{{ url('change3', $user->id) }}" enctype="multipart/form-data">
                {!! csrf_field() !!}
                <div class="col-md-9">
                    <!-- left column -->
                    <div class="col-md-3">
                        <div class="text-center">

                            <div class="user-header">
                                <img src="{{ asset('image/'.$user->image)  }}" style="height: 100px; width: 100px;" class="img-circle" alt="User Image" />
                                <p>
                                    <small>Upload a different photo...</small>
                                </p>
                            </div>

                            <input name="image" type="file" class="form-control">
                        </div>
                    </div>
                </div>

                <div class="col-md-9 personal-info">

                    <h3>Personal info</h3>
                    <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">

                            <label class="col-lg-3 control-label">Nama</label>
                            <div class="col-lg-8">
                                <input name="name" class="form-control" type="text" value="{{ $user->name }}">
                                @if ($errors->has('name'))
                                    <span class="help-block">
                                            <strong>{{ $errors->first('name') }}</strong>
                                        </span>
                                @endif
                            </div>

                    </div>

                        <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                            <label class="col-lg-3 control-label">Email</label>
                            <div class="col-lg-8">
                                <input name="email" class="form-control" type="text" value="{{ $user->email }}">
                                @if ($errors->has('email'))
                                    <span class="help-block">
                                                <strong>{{ $errors->first('email') }}</strong>
                                            </span>
                                @endif
                            </div>
                        </div>


                    <div class="form-group{{ $errors->has('username') ? ' has-error' : '' }}">
                        <label class="col-lg-3 control-label">Username</label>
                        <div class="col-lg-8">
                            <input name="username" class="form-control" type="text" value="{{ $user->username }}">
                            @if ($errors->has('username'))
                                <span class="help-block">
                                            <strong>{{ $errors->first('username') }}</strong>
                                        </span>
                            @endif
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-lg-3 control-label">Status</label>
                        <div class="col-lg-8">
                            <input name="status" class="form-control" type="text" value="{{ $user->status }}" disabled>
                        </div>
                    </div>

                </div>

                <div class="col-md-9">
                    <div class="form-group">
                        <label class="col-md-3 control-label"></label>
                        <div class="col-md-8">
                            <input type="submit" class="btn btn-primary" value="Save Changes">
                            <span></span>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
    <hr>
@endsection