<?php

Use App\Bus;
Use App\Supir;
Use App\Users;
Use App\Pemesanan;
Use App\Batal;
use App\Konfirmasi;
use App\Jadwal;
use App\Tolak;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::group(['middleware' => ['web','auth']], function(){
    Route::get('/home', 'HomeController@index');
    Route::get('/', function () {

        if(Auth::user()->status=='k_klien'){
            return view('adminlte::k_klien.index');
        }else if(Auth::user()->status=='k_supir'){
            return view('adminlte::k_supir.index');
        }else if(Auth::user()->status=='klien'){
            return view('adminlte::klien.index');
        }
    });
});

Route::group(['middleware' => ['web','auth','k_klien']], function () {
    Route::get('/setting', 'ProfilController@index');
    Route::post('/change/{id}', 'ProfilController@change');

    Route::get('/k_klien/dashboards','AdminController@dashboards');

    Route::get('/supir','AdminController@supir');
    Route::get('/supir/jadwals','AdminController@jadwals');
    Route::get('/supir/tambah','AdminController@tambahsupir');
    Route::post('/storesupir','AdminController@storesupir');
    Route::get('/supir/detail/{id}','AdminController@detailsupir');
    Route::get('/supir/ubahsupir/{id}','AdminController@ubahsupir');
    Route::post('/updatesupir/{id}', 'AdminController@updatesupir');
    Route::get('supir/delete/{id}', 'AdminController@destroy');

    Route::get('/k_klien/bus','AdminController@bus');
    Route::post('/busupdate/{id}','AdminController@busupdate');
    Route::get('/bus/tambah','AdminController@tambahbus');
    Route::post('/store','AdminController@store');
    Route::get('/k_klien/bus/detail/{id}','AdminController@detailbus');
    Route::get('/bus/ubahbus/{id}','AdminController@ubahbus');
    Route::get('bus/delete/{id}', 'AdminController@destroybus');

    Route::get('/k_klien/user/detail/{id}','AdminController@detailuser');
    Route::get('user/delete/{id}', 'AdminController@destroyuser');

    Route::get('/k_klien/pemesanan','AdminController@pemesanan');
    Route::get('/k_klien/pemesanan/tolakpesanan/{id}','AdminController@tolakpesanan');
    Route::post('/ditolak/{id}','AdminController@ditolak');
    Route::get('/k_klien/pemesanan/detailpemesanan/{id}','AdminController@detailpemesanan');
    Route::post('/update/{id}','AdminController@update');

    Route::get('/history','AdminController@history');
    Route::get('/history/details/{id}','AdminController@detailriwayat');
    Route::get('/history/details2/{id}','AdminController@detailriwayat2');
    Route::get('/history/details3/{id}','AdminController@detailriwayat3');
});

Route::group(['middleware' => ['web','auth','k_supir']], function () {
    Route::get('/setting2', 'ProfilController@index2');
    Route::post('/change2/{id}', 'ProfilController@change2');

    Route::get('/k_supir/dashboard','KsupirController@dashboard');
    Route::get('/k_supir/supir','KsupirController@supirs');
    Route::get('/k_supir/supir/detail/{id}','KsupirController@detailsupirs');
    Route::get('/k_supir/supir/jadwal','KsupirController@jadwal');
    Route::get('/k_supir/supir/updatejadwal','KsupirController@updatejadwal');
    Route::get('/k_supir/supir/invoice-print','KsupirController@invoice_print');
    Route::get('/k_supir/supir/tambahjamkerja','KsupirController@tambahjamkerja');

    Route::get('/k_supir/supir/jam_kerja','KsupirController@jam_kerja');
    Route::get('/k_supir/supir/jamkerjadetail/{id}','KsupirController@jamkerjadetail');
    Route::post('/jamkerjasupir','KsupirController@jamkerjasupir');
    Route::get('/k_supir/supir/print_jamkerja/{id}','KsupirController@print_jamkerja');

    Route::get('/k_supir/bus','KsupirController@buss');
    Route::get('/k_supir/bus/detail/{id}','AdminController@detailbuss');
    Route::get('/k_supir/bus/detail/{id}','KsupirController@detailbuss');

    Route::get('/k_supir/pemesanan','KsupirController@pemesanans');
    Route::get('/k_supir/pemesanan/detailpemesanan/{id}','KsupirController@detailpemesanans');
    Route::post('/k_supir/konfirmasi/{id}','KsupirController@konfirmasi');
    Route::get('/k_supir/pemesanan/refuse/{id}','KsupirController@refuse');
    Route::post('/refusing/{id}','KsupirController@refusing');

    Route::get('/k_supir/history','KsupirController@historys');
    Route::get('/k_supir/history/detailss/{id}','KsupirController@detailriwayats');
    Route::get('/k_supir/history/detailsz/{id}','KsupirController@detailriwayatsz');

});


Route::group(['middleware' => ['web','auth','klien']], function () {
    Route::get('/setting3', 'ProfilController@index3');
    Route::post('/change3/{id}', 'ProfilController@change3');

    Route::get('/bus','KlienController@bus');
    Route::get('/bus/detail/{id}','KlienController@detailbus');
    Route::get('/pesan','KlienController@pesan');
    Route::get('/klien/pesan/pesanform','KlienController@pesanform');
    Route::get('/klien/pesan/pakaibus/{id}','KlienController@pakaibus');

    Route::get('/klien/pesan/pilih','KlienController@pilihbus');
    Route::get('/status','KlienController@status');
    Route::get('/status/statusdetail/{id}','KlienController@statusdetail');

    Route::post('/pemesanan','KlienController@pemesanan');
    Route::get('/batalkan/{id}','KlienController@batalkan');
    Route::post('/kirim_pembatalan/{id}','KlienController@kirim_pembatalan');

    Route::get('/riwayat','KlienController@riwayat');

    Route::get('/riwayat/detailpesan/{id}','KlienController@riwayatpesan');
    Route::get('/riwayat/detailpesan2/{id}','KlienController@riwayatpesan2');
    Route::get('/riwayat/detailpesan3/{id}','KlienController@riwayatpesan3');

});